All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::packed_cl_uint Struct Reference

Helper class for packing four cl_uint numbers into a uint4 type for access inside an OpenCL kernel. More...

`#include <kernel.hpp>`

## Public Attributes

cl_uint | start
| Starting value of the integer stride. More...
cl_uint | stride
| Increment between integers. More...
cl_uint | size
| Number of values in the stride. More...
cl_uint | internal_size
| Internal length of the buffer. Might be larger than 'size' due to padding. More...

## Detailed Description

Helper class for packing four cl_uint numbers into a uint4 type for access inside an OpenCL kernel.

Since the primary use is for dealing with ranges and strides, the four members are termed accordingly.

Definition at line 45 of file kernel.hpp.

## Member Data Documentation

cl_uint viennacl::ocl::packed_cl_uint::internal_size

Internal length of the buffer. Might be larger than 'size' due to padding.

Definition at line 54 of file kernel.hpp.

cl_uint viennacl::ocl::packed_cl_uint::size

Number of values in the stride.

Definition at line 52 of file kernel.hpp.

cl_uint viennacl::ocl::packed_cl_uint::start

Starting value of the integer stride.

Definition at line 48 of file kernel.hpp.

cl_uint viennacl::ocl::packed_cl_uint::stride

Increment between integers.

Definition at line 50 of file kernel.hpp.

The documentation for this struct was generated from the following file:

- viennacl/ocl/kernel.hpp